org.appng.appngizer.client

## Class AppNGizer

- java.lang.Object
- - org.appng.appngizer.client.AppNGizer

- All Implemented Interfaces:
    AppNGizerClient

      public class AppNGizer
      extends Object
      implements AppNGizerClient

  A client for appNGizer.
  Usage:

       AppNGizer appNGizer = new AppNGizer("http://localhost:8080", "TheSecret");
       appNGizer.login();

  Check out the appNGizer User Manual for a detailed description of the possible operations.
  Author:
    Matthias Müller

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.appng.appngizer.client.AppNGizerClient

      `AppNGizerClient.Config, AppNGizerClient.PropertyWrapper, AppNGizerClient.SiteConfig`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppNGizer(String endpoint, String sharedSecret)`
    `AppNGizer(String endpoint, String sharedSecret, org.springframework.web.client.RestTemplate restTemplate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activateApplication(String site, String app)`
    `Application` | `application(String app)`
    `Application` | `application(String site, String app)`
    `Properties` | `applicationProperties(String app)`
    `Properties` | `applicationProperties(String site, String app)`
    `Applications` | `applications()`
    `Applications` | `applications(String site)`
    `Property` | `createApplicationProperty(String app, Property property)`
    `Property` | `createApplicationProperty(String site, String app, Property property)`
    `Group` | `createGroup(Group group)`
    `Permission` | `createPermission(String app, Permission permission)`
    `Property` | `createPlatformProperty(Property property)`
    `Repository` | `createRepository(Repository repository)`
    `Role` | `createRole(String app, Role role)`
    `Site` | `createSite(Site site)`
    `Property` | `createSiteProperty(String site, Property property)`
    `Subject` | `createSubject(Subject subject)`
    `Database` | `database()`
    `void` | `deactivateApplication(String site, String app)`
    `void` | `deleteApplication(String app)`
    `void` | `deleteApplicationProperty(String app, String name)`
    `void` | `deleteApplicationProperty(String site, String app, String name)`
    `void` | `deleteGroup(String name)`
    `void` | `deletePermission(String app, String name)`
    `void` | `deletePlatformProperty(String name)`
    `void` | `deleteRepository(String name)`
    `void` | `deleteRole(String app, String name)`
    `void` | `deleteSite(String name)`
    `void` | `deleteSiteProperty(String site, String name)`
    `void` | `deleteSubject(String name)`
    `Properties` | `environment()`
    `protected org.springframework.http.HttpHeaders` | `getHeaders()`
    `Package` | `getPackage(String name, String packageName, String version, String timeStamp)`
    `Packages` | `getPackages(String name, String packageName)`
    `Group` | `group(String name)`
    `Groups` | `groups()`
    `Database` | `initializeDatabase()`
    `Package` | `installPackage(String name, Package packageToInstall)`
    `Home` | `login()`
    `Permission` | `permission(String app, String name)`
    `Permissions` | `permissions(String app)`
    `Properties` | `platformProperties()`
    `Property` | `platformProperty(String name)`
    `void` | `reloadSite(String name)`
    `Repositories` | `repositories()`
    `Repository` | `repository(String name)`
    `Role` | `role(String app, String name)`
    `Roles` | `roles(String app)`
    `protected void` | `setCookies(org.springframework.http.ResponseEntity<?> entity)`
    `Site` | `site(String name)`
    `Grants` | `siteGrants(String site, String app)`
    `Properties` | `siteProperties(String site)`
    `Property` | `siteProperty(String site, String name)`
    `Sites` | `sites()`
    `Subject` | `subject(String name)`
    `Subjects` | `subjects()`
    `Properties` | `system()`
    `Application` | `updateApplication(String app, Application application)`
    `Property` | `updateApplicationProperty(String app, Property property)`
    `Property` | `updateApplicationProperty(String site, String app, String name, Property property)`
    `Group` | `updateGroup(String name, Group group)`
    `Permission` | `updatePermission(String app, String name, Permission permission)`
    `Property` | `updatePlatformProperty(String name, Property property)`
    `Repository` | `updateRepository(String name, Repository repository)`
    `Role` | `updateRole(String app, String name, Role role)`
    `Site` | `updateSite(String name, Site site)`
    `Grants` | `updateSiteGrants(String site, String app, Grants grants)`
    `Property` | `updateSiteProperty(String site, String name, Property property)`
    `Subject` | `updateSubject(String name, Subject subject)`
    `Package` | `uploadPackage(String name, File archive)`
    `Home` | `welcome()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppNGizer

          public AppNGizer(String endpoint,
                           String sharedSecret)

    - #### AppNGizer

          public AppNGizer(String endpoint,
                           String sharedSecret,
                           org.springframework.web.client.RestTemplate restTemplate)

  - ### Method Detail

    - #### getHeaders

          protected org.springframework.http.HttpHeaders getHeaders()

    - #### setCookies

          protected void setCookies(org.springframework.http.ResponseEntity<?> entity)

    - #### welcome

          public Home welcome()

      Specified by:
        `welcome` in interface `AppNGizerClient`

    - #### login

          public Home login()

      Specified by:
        `login` in interface `AppNGizerClient`

    - #### subjects

          public Subjects subjects()

      Specified by:
        `subjects` in interface `AppNGizerClient`

    - #### subject

          public Subject subject(String name)

      Specified by:
        `subject` in interface `AppNGizerClient`

    - #### createSubject

          public Subject createSubject(Subject subject)

      Specified by:
        `createSubject` in interface `AppNGizerClient`

    - #### updateSubject

          public Subject updateSubject(String name,
                                       Subject subject)

      Specified by:
        `updateSubject` in interface `AppNGizerClient`

    - #### deleteSubject

          public void deleteSubject(String name)

      Specified by:
        `deleteSubject` in interface `AppNGizerClient`

    - #### groups

          public Groups groups()

      Specified by:
        `groups` in interface `AppNGizerClient`

    - #### group

          public Group group(String name)

      Specified by:
        `group` in interface `AppNGizerClient`

    - #### createGroup

          public Group createGroup(Group group)

      Specified by:
        `createGroup` in interface `AppNGizerClient`

    - #### updateGroup

          public Group updateGroup(String name,
                                   Group group)

      Specified by:
        `updateGroup` in interface `AppNGizerClient`

    - #### deleteGroup

          public void deleteGroup(String name)

      Specified by:
        `deleteGroup` in interface `AppNGizerClient`

    - #### applications

          public Applications applications()

      Specified by:
        `applications` in interface `AppNGizerClient`

    - #### application

          public Application application(String app)

      Specified by:
        `application` in interface `AppNGizerClient`

    - #### updateApplication

          public Application updateApplication(String app,
                                               Application application)

      Specified by:
        `updateApplication` in interface `AppNGizerClient`

    - #### deleteApplication

          public void deleteApplication(String app)

      Specified by:
        `deleteApplication` in interface `AppNGizerClient`

    - #### applicationProperties

          public Properties applicationProperties(String app)

      Specified by:
        `applicationProperties` in interface `AppNGizerClient`

    - #### createApplicationProperty

          public Property createApplicationProperty(String app,
                                                    Property property)

      Specified by:
        `createApplicationProperty` in interface `AppNGizerClient`

    - #### updateApplicationProperty

          public Property updateApplicationProperty(String app,
                                                    Property property)

      Specified by:
        `updateApplicationProperty` in interface `AppNGizerClient`

    - #### deleteApplicationProperty

          public void deleteApplicationProperty(String app,
                                                String name)

      Specified by:
        `deleteApplicationProperty` in interface `AppNGizerClient`

    - #### roles

          public Roles roles(String app)

      Specified by:
        `roles` in interface `AppNGizerClient`

    - #### role

          public Role role(String app,
                           String name)

      Specified by:
        `role` in interface `AppNGizerClient`

    - #### createRole

          public Role createRole(String app,
                                 Role role)

      Specified by:
        `createRole` in interface `AppNGizerClient`

    - #### updateRole

          public Role updateRole(String app,
                                 String name,
                                 Role role)

      Specified by:
        `updateRole` in interface `AppNGizerClient`

    - #### deleteRole

          public void deleteRole(String app,
                                 String name)

      Specified by:
        `deleteRole` in interface `AppNGizerClient`

    - #### permissions

          public Permissions permissions(String app)

      Specified by:
        `permissions` in interface `AppNGizerClient`

    - #### permission

          public Permission permission(String app,
                                       String name)

      Specified by:
        `permission` in interface `AppNGizerClient`

    - #### createPermission

          public Permission createPermission(String app,
                                             Permission permission)

      Specified by:
        `createPermission` in interface `AppNGizerClient`

    - #### updatePermission

          public Permission updatePermission(String app,
                                             String name,
                                             Permission permission)

      Specified by:
        `updatePermission` in interface `AppNGizerClient`

    - #### deletePermission

          public void deletePermission(String app,
                                       String name)

      Specified by:
        `deletePermission` in interface `AppNGizerClient`

    - #### sites

          public Sites sites()

      Specified by:
        `sites` in interface `AppNGizerClient`

    - #### site

          public Site site(String name)

      Specified by:
        `site` in interface `AppNGizerClient`

    - #### createSite

          public Site createSite(Site site)

      Specified by:
        `createSite` in interface `AppNGizerClient`

    - #### updateSite

          public Site updateSite(String name,
                                 Site site)

      Specified by:
        `updateSite` in interface `AppNGizerClient`

    - #### deleteSite

          public void deleteSite(String name)

      Specified by:
        `deleteSite` in interface `AppNGizerClient`

    - #### reloadSite

          public void reloadSite(String name)

      Specified by:
        `reloadSite` in interface `AppNGizerClient`

    - #### siteProperties

          public Properties siteProperties(String site)

      Specified by:
        `siteProperties` in interface `AppNGizerClient`

    - #### siteProperty

          public Property siteProperty(String site,
                                       String name)

      Specified by:
        `siteProperty` in interface `AppNGizerClient`

    - #### createSiteProperty

          public Property createSiteProperty(String site,
                                             Property property)

      Specified by:
        `createSiteProperty` in interface `AppNGizerClient`

    - #### updateSiteProperty

          public Property updateSiteProperty(String site,
                                             String name,
                                             Property property)

      Specified by:
        `updateSiteProperty` in interface `AppNGizerClient`

    - #### deleteSiteProperty

          public void deleteSiteProperty(String site,
                                         String name)

      Specified by:
        `deleteSiteProperty` in interface `AppNGizerClient`

    - #### applications

          public Applications applications(String site)

      Specified by:
        `applications` in interface `AppNGizerClient`

    - #### application

          public Application application(String site,
                                         String app)

      Specified by:
        `application` in interface `AppNGizerClient`

    - #### activateApplication

          public void activateApplication(String site,
                                          String app)

      Specified by:
        `activateApplication` in interface `AppNGizerClient`

    - #### deactivateApplication

          public void deactivateApplication(String site,
                                            String app)

      Specified by:
        `deactivateApplication` in interface `AppNGizerClient`

    - #### siteGrants

          public Grants siteGrants(String site,
                                   String app)

      Specified by:
        `siteGrants` in interface `AppNGizerClient`

    - #### updateSiteGrants

          public Grants updateSiteGrants(String site,
                                         String app,
                                         Grants grants)

      Specified by:
        `updateSiteGrants` in interface `AppNGizerClient`

    - #### applicationProperties

          public Properties applicationProperties(String site,
                                                  String app)

      Specified by:
        `applicationProperties` in interface `AppNGizerClient`

    - #### createApplicationProperty

          public Property createApplicationProperty(String site,
                                                    String app,
                                                    Property property)

      Specified by:
        `createApplicationProperty` in interface `AppNGizerClient`

    - #### updateApplicationProperty

          public Property updateApplicationProperty(String site,
                                                    String app,
                                                    String name,
                                                    Property property)

      Specified by:
        `updateApplicationProperty` in interface `AppNGizerClient`

    - #### deleteApplicationProperty

          public void deleteApplicationProperty(String site,
                                                String app,
                                                String name)

      Specified by:
        `deleteApplicationProperty` in interface `AppNGizerClient`

    - #### repositories

          public Repositories repositories()

      Specified by:
        `repositories` in interface `AppNGizerClient`

    - #### repository

          public Repository repository(String name)

      Specified by:
        `repository` in interface `AppNGizerClient`

    - #### createRepository

          public Repository createRepository(Repository repository)

      Specified by:
        `createRepository` in interface `AppNGizerClient`

    - #### updateRepository

          public Repository updateRepository(String name,
                                             Repository repository)

      Specified by:
        `updateRepository` in interface `AppNGizerClient`

    - #### deleteRepository

          public void deleteRepository(String name)

      Specified by:
        `deleteRepository` in interface `AppNGizerClient`

    - #### installPackage

          public Package installPackage(String name,
                                        Package packageToInstall)

      Specified by:
        `installPackage` in interface `AppNGizerClient`

    - #### getPackage

          public Package getPackage(String name,
                                    String packageName,
                                    String version,
                                    String timeStamp)

      Specified by:
        `getPackage` in interface `AppNGizerClient`

    - #### getPackages

          public Packages getPackages(String name,
                                      String packageName)

      Specified by:
        `getPackages` in interface `AppNGizerClient`

    - #### uploadPackage

          public Package uploadPackage(String name,
                                       File archive)
                                throws IOException

      Specified by:
        `uploadPackage` in interface `AppNGizerClient`
      Throws:
        `IOException`

    - #### platformProperties

          public Properties platformProperties()

      Specified by:
        `platformProperties` in interface `AppNGizerClient`

    - #### platformProperty

          public Property platformProperty(String name)

      Specified by:
        `platformProperty` in interface `AppNGizerClient`

    - #### createPlatformProperty

          public Property createPlatformProperty(Property property)

      Specified by:
        `createPlatformProperty` in interface `AppNGizerClient`

    - #### updatePlatformProperty

          public Property updatePlatformProperty(String name,
                                                 Property property)

      Specified by:
        `updatePlatformProperty` in interface `AppNGizerClient`

    - #### deletePlatformProperty

          public void deletePlatformProperty(String name)

      Specified by:
        `deletePlatformProperty` in interface `AppNGizerClient`

    - #### environment

          public Properties environment()

      Specified by:
        `environment` in interface `AppNGizerClient`

    - #### system

          public Properties system()

      Specified by:
        `system` in interface `AppNGizerClient`

    - #### database

          public Database database()

      Specified by:
        `database` in interface `AppNGizerClient`

    - #### initializeDatabase

          public Database initializeDatabase()

      Specified by:
        `initializeDatabase` in interface `AppNGizerClient`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.